package com.example.myplugin;

import java.io.File;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

import com.pmease.quickbuild.Context;
import com.pmease.quickbuild.util.FileUtils;

public class MyPanel extends Panel {

	private static final long serialVersionUID = 1L;
	
	public MyPanel(String id) {
		super(id);

		String message = FileUtils.readFileAsString(
				new File(Context.getBuild().getPublishDir(), "myplugin/message.txt"));
		add(new Label("message", message));
	}

}
